"""
Chronos: Innovation Algebra & Trust SDK
=======================================

A minimal, composable Python SDK for modeling change events, trust graphs, and innovation landscapes.
"""

from .change_algebra import ChangeEvent, ChangeSet
from .trust import TrustGraph
from .manifold import InnovationMetric
from .future import FutureChangeSet
from .navigator import Navigator
from .ontology import Schema, Ontology, Entity

__version__ = "0.1.0"

__all__ = [
    # Modules
    "change_algebra",
    "trust",
    "manifold",
    "future",
    "navigator",
    "ontology",
    # Classes
    "ChangeEvent",
    "ChangeSet",
    "FutureChangeSet",
    "TrustGraph",
    "InnovationMetric",
    "Navigator",
    "Schema",
    "Ontology",
    "Entity",
] 